/*
 *  Bluetooth Connected Vibration Wrist Band
 *  
 *  Usage:
 *  Connect the device with bluetooth
 *  Send 0 to stop vibration
 *  Send 1 to start vibration
 *  Send other values for set interval vibration
 */

#include <SoftwareSerial.h> 
SoftwareSerial MyBlue(D3, D4); // RX | TX 
int defaultDelay = 100; //Each step is delayed for 2 seconds
int flag;
bool enableVibration = false;

void setup() {
  Serial.begin(115200);
  MyBlue.begin(9600); 
  pinMode(D10, OUTPUT);

 Serial.println("FoG Vibrator Started");
}

//Vibrate the motor by vtime(ms)
void vibrate(int vtime){
   digitalWrite(D10, HIGH);
   delay(vtime);
   digitalWrite(D10, LOW);
}


void loop() {

   if (MyBlue.available()){
     flag = MyBlue.read();
     if (flag == 49) {
      //ASCII "1"
       Serial.println("Vibrator On"); 
       MyBlue.println("Vibrator On");
       enableVibration = true;
     }else if (flag == 48){
       //ASCII "0"
       Serial.println("Vibrator Off"); 
       MyBlue.println("Vibrator Off");
       enableVibration = false;
     }else{
       //Use this as the time delay 
       Serial.print("Received"); 
       Serial.println(flag);
       MyBlue.print("Receiv");
       MyBlue.println(flag);
     }
   }

   if (enableVibration){
    vibrate(100);
    delay(defaultDelay);
   }
}
